/* cutemenus_svg.js: version 1.0 - 3/9/2006 s */

var cutesvg = {
  myBrandShortName: null,

  init: function() {
    // Relies on Branding Code so can not be run on startup
    var myBrandStrings = cutesvg.creatBrandingBundle();

    this.myBrandShortName = myBrandStrings.GetStringFromName("brandShortName")
  },

  creatBrandingBundle: function() {
    var myBrandingPath = null;
    var myStringBundleService = Components.classes["@mozilla.org/intl/stringbundle;1"]
                        .getService(Components.interfaces.nsIStringBundleService);
    
    if (typeof Components.interfaces.nsIXULAppInfo == "undefined") {
      myBrandingPath = "chrome://global/locale/brand.properties"
    } else { 
      myBrandingPath = "chrome://branding/locale/brand.properties"
    }
    
    return myStringBundleService.createBundle(myBrandingPath);
  },

  getWindowType: function() {

    switch (cutesvg.myBrandShortName) {
      case "Mozilla Thunderbird":
      case "Thunderbird":
        return "mail:3pane";
      case "Nvu":
        return "composer:html";
      case "Sunbird":
        return "calendarMainWindow";
      case "eMusic DLM":
        return "emusic:window";
      default:
        return "navigator:browser";
    }
  },
  
  mostRecentWindow: function(windowType) {
    var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
                       .getService(Components.interfaces.nsIWindowMediator);
    return wm.getMostRecentWindow(windowType);
  },

  loadExternalURL: function(url) {
    if (url) {
      var ioService = Components.classes["@mozilla.org/network/io-service;1"]
                                .getService(Components.interfaces.nsIIOService);
      var uri = ioService.newURI(url, null, null);
      var extProtocolSvc = Components.classes["@mozilla.org/uriloader/external-protocol-service;1"]
                                     .getService(Components.interfaces.nsIExternalProtocolService);
  
      extProtocolSvc.loadUrl(uri);
    }
  },
  
  openURL: function(thisURL) {

    switch (cutesvg.myBrandShortName) {
      case "Mozilla Thunderbird":
      case "Thunderbird":
      case "Nvu":
      case "Sunbird":
        this.loadExternalURL(thisURL);
        break;
      //case "Mozilla":
      default:
        var browserWindow = cutesvg.mostRecentWindow("navigator:browser").getBrowser();
  
        var newTab = browserWindow.addTab(thisURL, null, null);
        browserWindow.selectedTab = newTab;
        
        break;
    }

  }
}